org.deidentifier.arx.gui.view.impl.define

## Class ViewPrivacyModels

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.define.ViewPrivacyModels

All Implemented Interfaces:
  IView

    public class ViewPrivacyModels
    extends java.lang.Object
    implements IView

This class displays a list of all defined privacy criteria.

Author:
  fabian

### Constructor Summary

Constructors
Constructor and Description
`ViewPrivacyModels(org.eclipse.swt.widgets.Composite parent, Controller controller, LayoutPrivacySettings layoutCriteria)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionAdd()` Add
`void` `actionConfigure()` Configure
`void` `actionPull()` Pull
`void` `actionPush()` Push
`void` `actionRemove()` Remove
`void` `dispose()` Disposes the view.
`ModelCriterion` `getSelectedCriterion()` Returns the currently selected criterion, if any
`boolean` `isAddEnabled()` May criteria be added
`void` `reset()` Resets the view.
`void` `update(ModelEvent event)` Updates the view.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewPrivacyModels

    public ViewPrivacyModels(org.eclipse.swt.widgets.Composite parent,
                             Controller controller,
                             LayoutPrivacySettings layoutCriteria)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `layoutCriteria` -

### Method Detail

#### actionAdd

    public void actionAdd()

Add

#### actionConfigure

    public void actionConfigure()

Configure

#### actionPull

    public void actionPull()

Pull

#### actionPush

    public void actionPush()

Push

#### actionRemove

    public void actionRemove()

Remove

#### dispose

    public void dispose()

Description copied from interface: `IView`
Disposes the view.

Specified by:
  `dispose` in interface `IView`

#### getSelectedCriterion

    public ModelCriterion getSelectedCriterion()

Returns the currently selected criterion, if any

Returns:

#### isAddEnabled

    public boolean isAddEnabled()

May criteria be added

Returns:

#### reset

    public void reset()

Description copied from interface: `IView`
Resets the view.

Specified by:
  `reset` in interface `IView`

#### update

    public void update(ModelEvent event)

Description copied from interface: `IView`
Updates the view.

Specified by:
  `update` in interface `IView`